/******************************************************************************/
/*                                                                            */
/*  (C) COPYRIGHT International Business Machines Corp. 1993                  */
/*                                                                            */
/*  (c) Copyright Hewlett-Packard Company, 1993, Fort Collins, Colorado       */
/*                                                                            */
/*                            All Rights Reserved                             */
/*                                                                            */
/*  Permission to use, copy, modify, and distribute this software and its     */
/*  documentation for any purpose and without fee is hereby granted,          */
/*  provided that the above copyright notices appear in all copies and that   */
/*  both the copyright notices and this permission notice appear in           */
/*  supporting documentation, and that the name of Hewlett-Packard not be     */
/*  used in advertising or publicity pertaining to distribution of the        */
/*  software without specific, written prior permission.                      */
/*                                                                            */
/*  HEWLETT-PACKARD MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS         */
/*  SOFTWARE, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF        */
/*  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.  Hewlett-Packard    */
/*  shall not be liable for errors contained herein or direct, indirect,      */
/*  special, incidental or consequential damages in connection with the       */
/*  furnishing, performance or use of this software.                          */
/*                                                                            */
/*  INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS MATERIAL        */
/*  "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED,        */
/*  INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY  */
/*  AND FITNESS FOR A PARTICULAR PURPOSE.                                     */
/*                                                                            */
/******************************************************************************/

#include <X11/PEX5/PEXlib.h>
#include <X11/PEX5/PEXExtlib.h>
#include <misc.h>


/************************************************************************ 
 * PEXlib Extended Pipeline Context Module:  Test Case 2  --  
 *                                            PEXExtFreePCAttributes
 *
 ***********************************************************************/

test_image(Display         *dpy,
	   XID              resourceID,
           PEXOCRequestType req_type)
    {
      unsigned long			valuemask[3];
      PEXPipelineContext                plc;
      PEXExtPCAttributes		pc_values, *pc_values2 = NULL;

      /* Create a pipeline context and get the values of it. */

      valuemask[0] = 0;
      valuemask[1] = 0;
      valuemask[2] = 0;

      plc = PEXCreatePipelineContext(dpy, valuemask, &pc_values);

      PEXExtSetPCAttributeMaskAll(valuemask);
      pc_values2 = PEXExtGetPipelineContext(dpy, plc, valuemask);

      if (pc_values2 == NULL) {
        _ibmpex_stderr_print("ERROR 1 in pexlib test pexextplc-2; PEXExtGetPipelineContext() or PEXExtSetPCAttributeMaskAll()\n");
        fprintf(stderr, "ERROR 1 in pexlib test pexextplc-2; PEXExtGetPipelineContext() or PEXExtSetPCAttributeMaskAll()\n");
       }

      /* Now free the attributes */
      PEXExtFreePCAttributes(pc_values2);
    }

void inquire_test_params(char *test_name, 
			 int  *num_images, 
			 int  *supported_modes, 
			 char *win_title)
    {
    strcpy(test_name, "pexextplc-2");
    *num_images      = 1;
    *supported_modes = NON_OC_MODE;

    strcpy(win_title, "pexextplc-2");
    }

void misc_setup(Display *dpy, Window window, PEXRenderer renderer,
		int cur_image)
    {
    _ibmpex_set_stderr("pexextxplc-2.stderr", "pexextxplc-2");
    }

void execute_test(Display *dpy, XID resourceID, 
	       PEXOCRequestType req_type, int cur_image)
    {
    describe_test("\nExtended Pipeline Context Test #2 (PEXExtFreePCAttributes)\n\n");
    describe_test(" This test produces only an empty stderr output file\n");
    describe_test(" if correct. \n\n");

    test_image(dpy, resourceID, req_type);
    }

void testproc(Display *dpy, Window window, int cur_image)
    {
    file_testproc("pexextplc-2.stderr", "pexextplc-2");
    }
